talon540website/main/urls.py
from django.urls import path

from . import views

app_name = 'main'
urlpatterns = [
    path('', views.home, name='home'), 
]

talon540website/scouting/urls.py
from django.urls import path

from . import views

app_name = 'scouting'
urlpatterns = [
    path('', views.index, name='index'),
    path('team/', views.teams, name='teams'),
    path('deepspace/comp/<int:cpk>/', views.indexComp, name='indexComp'),
    path('deepspace/team/<int:pk>/', views.indexTeamAll, name='indexTeamAll'),
    path('deepspace/comp/<int:cpk>/team/<int:tpk>', views.indexTeam, name='indexTeamComp'),
    path('deepspace/comp/<int:cpk>/<int:mpk>/', views.matchdetailed, name='detailed'),
    path('deepspace/newmatch/', views.MatchCreate.as_view(), name='newmatchform'),
    path('deepspace/<int:pk>/update/', views.MatchUpdate.as_view(), name='updateform'),
    path('deepspace/<int:pk>/delete/', views.MatchDelete.as_view(), name='deleteform'),
    path('deepspace/comp/<int:cpk>/matches/<int:mnum>', views.indexSingleMatch, name='indexSingleMatch'),
    path('deepspace/comp/<int:cpk>/matches', views.indexMatch, name='indexMatch'),
    path('infiniterecharge/team/<int:pk>/', views.indexTeamAllInfiniteRecharge, name='indexTeamAllIR'),
    path('infiniterecharge/comp/<int:cpk>/team/<int:tpk>', views.indexteamInfiniteRecharge, name='indexTeamIR'), 
    path('infiniterecharge/comp/<int:cpk>/matches/<int:mnum>', views.indexSingleMatchInfiniteRecharge, name='indexSingleMatchIR'),
    path('infiniterecharge/comp/<int:cpk>/', views.indexCompInfiniteRecharge, name='indexCompIR'),
    path('infiniterecharge/comp/<int:cpk>/matches', views.indexMatchInfiniteRecharge, name='indexMatchIR'),    
    path('infiniterecharge/newmatch/', views.MatchCreateIR.as_view(), name='newmatchformIR'),
    path('infiniterecharge/<int:pk>/update/', views.MatchUpdateIR.as_view(), name='updateformIR'),
    path('infiniterecharge/<int:pk>/delete/', views.MatchDeleteIR.as_view(), name='deleteformIR'), 
    path('infiniterecharge/comp/<int:cpk>/<int:mpk>/', views.matchdetailedIR, name='detailedIR'), 
]

talon540website/talon540/urls.py
from django.contrib import admin
from django.urls import include, path
from django.contrib.auth import views as auth_views
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('', include('main.urls')),
    path('inventory/', include('inventory.urls')),
    path('accounts/', include('login.urls')),
    path('scouting/', include('scouting.urls')),
    path('admin/', admin.site.urls),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

talon540website/scouting/models.py
from django.db import models
from django import forms
from django.contrib.postgres.fields import *

class Game(models.Model):
    Name = models.CharField(max_length=1000)
    Date = models.DateField('Date')
    AutoParam = ArrayField(
        ArrayField(
            models.CharField(max_length=100), size=2, 
        ),
    )
    TeleopParam = ArrayField(
        ArrayField(
            models.CharField(max_length=100), size=2, 
        ),
    )
    EndgameParam = ArrayField(
        ArrayField(
            models.CharField(max_length=100), size=2, 
        ),
    )
    
    def __str__(self):
        return self.Name

# A specific competition and when it occurs.
class Competition(models.Model):
    Name = models.CharField(max_length=1000)
    StartDate = models.DateField('StartDate');
    EndDate = models.DateField('EndDate');

    def __str__(self):
        return self.Name
    
    def isIR(self):
        return self.StartDate.year == 2020
    
    def isDS(self):
        return self.StartDate.year == 2019


# A specific team and its competitions.
class Team(models.Model):
    TeamNum = models.IntegerField()
    # Arbitarily large list of competitions
    Comps = ArrayField(
       models.IntegerField(default=-1),
       blank = True,
       null = True 
    )

    def __str__(self):
        return str(self.TeamNum)

# A specific bot's performance in one match. UPDATED FOR 2019 GAME: DEEP SPACITO
class DeepSpaceMatch(models.Model):
    Scouter = models.CharField(max_length=100)
    Competition = models.ForeignKey(Competition, on_delete=models.CASCADE)
    Team = models.ForeignKey(Team, on_delete=models.CASCADE)
    MatchNum = models.IntegerField(default=0)
    #Default value is screwed up: Date = models.DateField()
    
    #Game-specific
    Start = models.CharField(max_length=100) # radio button: did it start at level 2
    Rocket_Hatch_Sandstorm = models.IntegerField(default=0)
    Rocket_Ball_Sandstorm = models.IntegerField(default=0)
    CargoShip_Hatch_Sandstorm = models.IntegerField('Cargo Ship Hatches (S)', default=0)
    CargoShip_Ball_Sandstorm = models.IntegerField('Cargo Ship Balls (S)', default=0)
    
    CargoShip_Hatch = models.IntegerField('Cargo Ship Hatches', default=0)
    CargoShip_Ball = models.IntegerField('Cargo Ship Balls', default=0)
    Rocket_L1_Hatch = models.IntegerField(default=0)
    Rocket_L2_Hatch = models.IntegerField(default=0)
    Rocket_L3_Hatch = models.IntegerField(default=0)
    Rocket_L1_Ball = models.IntegerField(default=0)
    Rocket_L2_Ball = models.IntegerField(default=0)
    Rocket_L3_Ball = models.IntegerField(default=0)
    
    Climb = models.CharField(max_length=100) # 3 radio buttons
    
    Comments = models.TextField()
    
    # Field Toolbox
    # Checkbox: models.CharField(max_length=100) with choice thing in views.py
    # Number: models.IntegerField(default=0)
    # Text field: models.TextField()
    # Model: models.ForeignKey(<Model>, on_delete=models.CASCADE)

    def __str__(self):
        return str(self.Competition) + ", " + str(self.MatchNum)

# A specific bot's peformance in one match. UPDATED FOR 2020 GAME: i n f i n i t e REEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
class InfiniteRechargeMatch(models.Model):
   Scouter = models.CharField(max_length=100)
   Competition = models.ForeignKey(Competition, on_delete=models.CASCADE)
   Team = models.ForeignKey(Team, on_delete=models.CASCADE)
   MatchNum = models.IntegerField(default=0)

   #Game-specific
   Initiation_Line = models.CharField(max_length=100) # Radio button: did it cross the initiation line
   Direction = models.CharField(max_length=200) #radio button: towards wall, away from wall, n/a
   Lower_Port_Auto = models.IntegerField(default=0)
   Outer_Port_Auto = models.IntegerField(default=0)
   Inner_Port_Auto = models.IntegerField(default=0)
   
   Lower_Port = models.IntegerField(default=0)
   Outer_Port = models.IntegerField(default=0)
   Inner_Port = models.IntegerField(default=0)
   CP_Position = models.CharField(max_length=100) # radio button: y/n
   CP_Rotation = models.CharField(max_length=100) # radio button: y/n

   Climb = models.CharField(max_length=100) # radio button: side, center, attempted side, attempted center, none
   DidLevel = models.CharField(max_length=100) # radio button: y/n

   Comments = models.TextField()

   def __str__(self):
      return str(self.Competition) + ", " + str(self.MatchNum)

talon540website/scouting/views.py
import datetime
import math
import json
from statistics import mode
from collections import Counter

from django import forms
from django.forms import ModelForm
from django.views.generic.edit import CreateView, UpdateView, DeleteView
from django.http import HttpResponse, HttpResponseRedirect
from django.template import loader
from django.shortcuts import get_object_or_404, render
from django.urls import reverse
from django.db.models import Q

from .models import DeepSpaceMatch, InfiniteRechargeMatch, Team, Competition

#All teams
def teams(request):
    teams = Team.objects.order_by('TeamNum')
    return render(request, 'scouting/team.html', {'teams': teams})

#Home page
def index(request):
    comps = Competition.objects.order_by('StartDate')
    return render(request, 'scouting/index.html', {'comps': comps})

#Shows a team's matches at one competition
def indexTeam(request, cpk, tpk):
    t = get_object_or_404(Team, pk=tpk)
    comp = get_object_or_404(Competition, pk=cpk)
    matches = DeepSpaceMatch.objects.filter(Team = t, Competition = comp).order_by('-MatchNum')
    
    # Computes the Average Team Score
    avg = AverageTeamScore(matches)
    
    #Computes the individual average scores
    mStart = Mode(matches, "Start")
    avgSRH = Average(matches, "Rocket_Hatch_Sandstorm")
    avgSRB = Average(matches, "Rocket_Ball_Sandstorm")
    avgSCSH = Average(matches, "CargoShip_Hatch_Sandstorm")
    avgSCSB = Average(matches, "CargoShip_Ball_Sandstorm")
    avgR1H = Average(matches, "Rocket_L1_Hatch")
    avgR1B = Average(matches, "Rocket_L1_Ball")
    avgR2H = Average(matches, "Rocket_L2_Hatch")
    avgR2B = Average(matches, "Rocket_L2_Ball")
    avgR3H = Average(matches, "Rocket_L3_Hatch")
    avgR3B = Average(matches, "Rocket_L3_Ball")
    avgCSH = Average(matches, "CargoShip_Hatch")
    avgCSB = Average(matches, "CargoShip_Ball")
    mClimb = Mode(matches, "Climb")
    aClimb = CountClimbs(matches)
    
    return render(request, 'scouting/indexTeam.html', {'team': t, 'comp': comp, 
    'matches': matches, 
    'avg': avg,
    'MSTART': mStart,
    'ASRH': avgSRH, 
    'ASRB': avgSRB, 
    'ASCSH': avgSCSH, 
    'ASCSB': avgSCSB, 
    'AR1H': avgR1H, 
    'AR1B': avgR1B,  
    'AR2H': avgR2H, 
    'AR2B': avgR2B,  
    'AR3H': avgR3H, 
    'AR3B': avgR3B, 
    'ACSH': avgCSH, 
    'ACSB': avgCSB, 
    'MCLIMB': mClimb,
    'ALL_CLIMBS': aClimb,
    })

#Shows a team's matches at one competition - Infinite Recharge (2020)
def indexteamInfiniteRecharge(request, cpk, tpk):
    t = get_object_or_404(Team, pk=tpk)
    comp = get_object_or_404(Competition, pk=cpk)
    matches = InfiniteRechargeMatch.objects.filter(Team = t, Competition = comp).order_by('-MatchNum')
    
    #Computes the Average Team Score
    avg = InfiniteRechargeAverageTeamScore(matches)

    #Computes the individual average scores
    mIL = Mode(matches, "Initiation_Line")
    avgLPA = Average(matches, "Lower_Port_Auto")
    avgOPA = Average(matches, "Outer_Port_Auto")
    avgIPA = Average(matches, "Inner_Port_Auto")
    avgLP = Average(matches, "Lower_Port")
    avgOP = Average(matches, "Outer_Port")
    avgIP = Average(matches, "Inner_Port")
    avgCPP = Mode(matches, "CP_Position")
    avgCPR = Mode(matches, "CP_Rotation")
    mDidLevel = Mode(matches, "DidLevel")
    mClimb = Mode(matches, "Climb")
    aClimb = CountClimbs(matches)
    
    return render(request, 'scouting/indexTeamIR.html', {'team': t, 'comp': comp, 
    'matches': matches, 
    'avg': avg,
    'MIL': mIL,
    'ALPA': avgLPA, 
    'AOPA': avgOPA, 
    'AIPA': avgIPA, 
    'ALP': avgLP, 
    'AOP': avgOP, 
    'AIP': avgIP,  
    'ACPP': avgCPP, 
    'ACPR': avgCPR, 
    'MDIDLEVEL': mDidLevel, 
    'MCLIMB': mClimb,
    'ALL_CLIMBS': aClimb,
    })

# Shows all matches of a team
def indexTeamAll(request, pk):
    t = get_object_or_404(Team, pk=pk)
    matches = DeepSpaceMatch.objects.filter(Team = t).order_by('-Competition', 'MatchNum')
    
    # Computes the Average Team Score
    avg = AverageTeamScore(matches)
    
    #Computes the individual average scores
    mStart = Mode(matches, "Start")
    avgSRH = Average(matches, "Rocket_Hatch_Sandstorm")
    avgSRB = Average(matches, "Rocket_Ball_Sandstorm")
    avgSCSH = Average(matches, "CargoShip_Hatch_Sandstorm")
    avgSCSB = Average(matches, "CargoShip_Ball_Sandstorm")
    avgR1H = Average(matches, "Rocket_L1_Hatch")
    avgR1B = Average(matches, "Rocket_L1_Ball")
    avgR2H = Average(matches, "Rocket_L2_Hatch")
    avgR2B = Average(matches, "Rocket_L2_Ball")
    avgR3H = Average(matches, "Rocket_L3_Hatch")
    avgR3B = Average(matches, "Rocket_L3_Ball")
    avgCSH = Average(matches, "CargoShip_Hatch")
    avgCSB = Average(matches, "CargoShip_Ball")
    mClimb = Mode(matches, "Climb")
    aClimb = CountClimbs(matches)
    
    return render(request, 'scouting/indexTeamAll.html', {'team': t, 'matches': matches, 'avg': avg, 
        'MSTART': mStart,
        'ASRH': avgSRH, 
        'ASRB': avgSRB, 
        'ASCSH': avgSCSH, 
        'ASCSB': avgSCSB, 
        'AR1H': avgR1H, 
        'AR1B': avgR1B,  
        'AR2H': avgR2H, 
        'AR2B': avgR2B,  
        'AR3H': avgR3H, 
        'AR3B': avgR3B, 
        'ACSH': avgCSH, 
        'ACSB': avgCSB, 
        'MCLIMB': mClimb,
        'ALL_CLIMBS': aClimb,
    })
# Shows all matches of a team - Infinite Recharge 2020
def indexTeamAllInfiniteRecharge(request, pk):
    t = get_object_or_404(Team, pk=pk)
    matches = InfiniteRechargeMatch.objects.filter(Team = t).order_by('-Competition', 'MatchNum')
    
    # Computes the Average Team Score
    avg = InfiniteRechargeAverageTeamScore(matches)
    
    #Computes the individual average scores
    mIL = Mode(matches, "Initiation_Line")
    avgLPA = Average(matches, "Lower_Port_Auto")
    avgOPA = Average(matches, "Outer_Port_Auto")
    avgIPA = Average(matches, "Inner_Port_Auto")
    avgLP = Average(matches, "Lower_Port")
    avgOP = Average(matches, "Outer_Port")
    avgIP = Average(matches, "Inner_Port")
    avgCPP = Mode(matches, "CP_Position")
    avgCPR = Mode(matches, "CP_Rotation")
    mDidLevel = Mode(matches, "DidLevel")
    mClimb = Mode(matches, "Climb")
    aClimb = CountClimbs(matches)
    
    return render(request, 'scouting/indexTeamAllIR.html', {'team': t, 'matches': matches, 'avg': avg, 
        'MIL': mIL,
        'ALPA': avgLPA, 
        'AOPA': avgOPA, 
        'AIPA': avgIPA, 
        'ALP': avgLP, 
        'AOP': avgOP, 
        'AIP': avgIP,  
        'ACPP': avgCPP, 
        'ACPR': avgCPR,  
        'MDIDLEVEL': mDidLevel,
        'MCLIMB': mClimb,
        'ALL_CLIMBS': aClimb,
    })

# Displays all teams within a competition
def indexComp(request, cpk):
    c = get_object_or_404(Competition, pk=cpk)
    t = Team.objects.filter(Comps__contains = [cpk]).order_by('TeamNum')
    teamScores = []
    graphIndex = []
    graphValue = []

    for ts in t:
        matches = DeepSpaceMatch.objects.filter(Team = ts, Competition = c).order_by('-Competition', 'MatchNum')
        graphIndex.append(ts.TeamNum)
        team = []
    
        # Computes the Average Team Score
        avg = AverageTeamScore(matches)
    
        #Computes the individual average scores
        team.append(avg)
        team.append(Mode(matches, "Start"))
        team.append(Average(matches, "Rocket_Hatch_Sandstorm"))
        team.append(Average(matches, "Rocket_Ball_Sandstorm"))
        team.append(Average(matches, "CargoShip_Hatch_Sandstorm"))
        team.append(Average(matches, "CargoShip_Ball_Sandstorm"))
        team.append(Average(matches, "Rocket_L1_Hatch"))
        team.append(Average(matches, "Rocket_L1_Ball"))
        team.append(Average(matches, "Rocket_L2_Hatch"))
        team.append(Average(matches, "Rocket_L2_Ball"))
        team.append(Average(matches, "Rocket_L3_Hatch"))
        team.append(Average(matches, "Rocket_L3_Hatch"))
        team.append(Average(matches, "CargoShip_Hatch"))
        team.append(Average(matches, "CargoShip_Ball"))
        team.append(Mode(matches, "Climb"))
        
        teamScores.append(team)
        graphValue.append(avg)
    
    graph = [graphIndex, graphValue]
    
    return render(request, 'scouting/indexComp.html', {'comp': c, 'teams': t, 'graph': graph, 'teamScores': teamScores,})

# Displays all teams within a competition - InfinteRecharge
def indexCompInfiniteRecharge(request, cpk):
    c = get_object_or_404(Competition, pk=cpk)
    #THIS QUERY RETURNS AN EMPTY QUERYSET WHICH MEANS NO DATA SHOWS UP ON THE COMPETITION PAGE
    t = Team.objects.filter(Comps__contains = [cpk]).order_by('TeamNum')
    teamScores = []

    for ts in Team.objects.filter(Comps__contains = [cpk]).order_by('TeamNum'):
        matches = InfiniteRechargeMatch.objects.filter(Team = ts, Competition = c).order_by('-Competition', 'MatchNum')
        team = []
    
        # Computes the Average Team Score
        avg = InfiniteRechargeAverageTeamScore(matches)
    
        #Computes the individual average scores
        team.append(avg)
        team.append(Mode(matches, "Initiation_Line"))
        team.append(Average(matches, "Lower_Port_Auto"))
        team.append(Average(matches, "Outer_Port_Auto"))
        team.append(Average(matches, "Inner_Port_Auto"))
        team.append(Average(matches, "Lower_Port"))
        team.append(Average(matches, "Outer_Port"))
        team.append(Average(matches, "Inner_Port"))
        team.append(Mode(matches, "CP_Position"))
        team.append(Mode(matches, "CP_Rotation"))
        team.append(Mode(matches, "DidLevel"))
        team.append(Mode(matches, "Climb"))
        
        teamScores.append(team)
    
    return render(request, 'scouting/indexCompIR.html', {'comp': c, 'teams': t, 'teamScores': teamScores,})
    
#Shows one match (2019) by MatchNum, with all 6 teams
def indexSingleMatch(request, cpk, mnum):
    comp = get_object_or_404(Competition, pk=cpk)
    matches = DeepSpaceMatch.objects.filter(MatchNum = mnum).filter(Competition = comp).order_by('MatchNum')

talon540website/scouting/templates/scouting/deepspacematch_confirm_delete.html
<!-- The form for deleting a match. -->

{% extends 'main/base.html' %}
{% load static %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'scouting/css/detailed.css' %}">
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button-selected" {% endblock %}
{% block nav_contact %} class="button" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}

    {% if match %} 
       
        <h1 class = "portal-header">Delete Match</h1>
    
    <div class = "delete"> 
        <p class = "text"> Are you sure you want to delete <span class = "underline">{{ match.Competition }} Match {{ match.MatchNum }}: Team {{ match.Team }}</span>? <br> </p>
    
        <div class = "delete-buttons"> 
            <form action="" method="POST">
              {% csrf_token %}
              <input type="submit" id = "submit" action="" value="Yes" class = "yes">
            </form>
            
            <p></p>
            <a href="{% url 'scouting:detailed' match.Competition.id match.id %}" class = "cancel" >Cancel</a> 
        </div>
    </div>
    {% else %}
        <p>An error has occurred in the form. Contact programming.
        
        Super-special programming magic spell: A match is being deleted that has already been deleted or does not exist.</p>
    {% endif %}

{% endblock %}

talon540website/scouting/templates/scouting/detailedIR.html
<!-- Displays detailed info & comments on one team's performance at one match. -->

{% extends 'main/base.html' %}
{% load static %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'scouting/css/detailed.css' %}">
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button-selected" {% endblock %}
{% block nav_contact %} class="button" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}

        <!-- Delete these line breaks when the CSS is fixed so that stuff isn't hidden by the top bar -->
        <br><br><br><br><br><br><br>

    <div class = "buttons"> 
        <a href="{% url 'scouting:indexTeamAllIR' m.Team.id %}" class = "match-button"> <i class="fas fa-caret-left"></i> Back to Team</a>
    </div> 

{% if m %}
    <h1 class = "team-header"> <a href = "{% url 'scouting:indexTeamAllIR' m.Team.id %}" >Team {{m.Team}}</a></h1>
    <h2 class = "match-header"><u><a href = "{% url 'scouting:indexSingleMatchIR' m.Competition.id m.MatchNum %}" >Match {{m.MatchNum}}</a></u>, {{ m.Competition }} 2019 </h2>

    <div class = "info"> 
        <p class = "line"><b> <span class = "grey-text"> Scouter:</b> </span> {{m.Scouter}}</p>
        <p class = "line"><b> <span class = "grey-text"> Initiation Line:</span></b>  {{m.Initiation_Line}}</p>
        <p class = "line"><b> <span class = "grey-text"> Direction:</b> </span> {{m.Direction}}</p>
        <p class = "line"><b> <span class = "grey-text"> Lower Port Auto:</b> </span> {{m.Lower_Port_Auto}}</p>
        <p class = "line"><b> <span class = "grey-text"> Outer Port Auto:</b> </span> {{m.Outer_Port_Auto}}</p>
        <p class = "line"><b> <span class = "grey-text"> Inner Port Auto:</b> </span> {{m.Inner_Port_Auto}}</p>
        <br>
        <p class = "line"><b> <span class = "grey-text"> Lower Port:</b> </span> {{m.Lower_Port}}</p>
        <p class = "line"><b> <span class = "grey-text"> Outer Port:</b> </span> {{m.Outer_Port}}</p>
        <p class = "line"><b> <span class = "grey-text"> Inner Port:</b> </span> {{m.Inner_Port}}</p>
        <p class = "line"><b> <span class = "grey-text"> Control Panel Position:</b> </span> {{m.CP_Position}}</p>
        <p class = "line"><b> <span class = "grey-text"> Control Panel Rotation:</b> </span> {{m.CP_Rotation}}</p>
        
        <p class = "line"><b> <span class = "grey-text"> Climbing:</b> </span> {{m.Climb}}</p>
        <p class = "line"><b> <span class = "grey-text"> Level?:</b> </span> {{m.DidLevel}}</p>
        <br>
        <p class = "line"><b> <span class = "grey-text"> Comments:</b> </span> {{m.Comments}}</p>
    </div>
    
    <a href="{% url 'scouting:updateformIR' m.id %}" class = "edit"> <i class="fas fa-edit"></i> Edit Match <br></a>
    <a href="{% url 'scouting:deleteformIR' m.id %}" class = "edit"> <i class="fas fa-trash"></i> Delete Match</a>
    
{% else %}
    <p>No data is available, or there has been an error. Contact programming if this message appears after adding data.
    
    Super-special programming magic spell: The match has been deleted or does not exist.</p>
{% endif %}


    
{% endblock %}

talon540website/scouting/templates/scouting/indexMatch.html
<!-- Displays all matches at a competition. -->

{% extends 'main/base.html' %}
{% load static %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'scouting/css/index.css' %}">
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button-selected" {% endblock %}
{% block nav_contact %} class="button" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}

    <div class="page-tlt">
        <h1>Matches</h1> 
        <div class="right-triangle-decoration page-tlt-triangle wss"></div>
    </div>
    
    <div class="nav-two-row">
        <a href="{% url 'scouting:index' %}" class = "match-button"> <i class="fas fa-caret-left"></i> Back to Index</a> 
        <div class = "add-match"> <a href="{% url 'scouting:newmatchform' %}"> <i class="fas fa-plus"></i> Add Match</a> </div>
        <a href = "{% url 'scouting:teams' %}" class = "match-button">View All Teams</a>
    </div>
    
    <div class="body-content">
        {% if m %}
            <table id = "matchTable">
                <tr>
                    <th>
                        {% if comp %}
                            {{ comp.Name }} 2019
                        {% else %}
                            [Competition Name not found]
                        {% endif %}
                    </th>
                </tr>
                {% for m2 in m %}
                    <tr class="comp-row">
                        <td><a href = "{% url 'scouting:indexSingleMatch' comp.id m2.MatchNum %}"><h1>Match {{ m2.MatchNum }}</h1></a></th>
                    </tr>
                {% endfor %}
            </table>
        {% else %}
            <p class = "no-data"> No data is available, or there has been an error. Contact programming if this message appears after data has been entered.</p>
        {% endif %}
    </div>

{% endblock %}

talon540website/scouting/templates/scouting/indexMatchIR.html
<!-- Displays all matches at a competition. -->

{% extends 'main/base.html' %}
{% load static %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'scouting/css/index.css' %}">
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button-selected" {% endblock %}
{% block nav_contact %} class="button" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}

    <div class="page-tlt">
        <h1> Talon <span class = "red-text"> 540 </span> <br>Scouting Portal</br> </h1> 
        
        <div class="right-triangle-decoration"></div>

    </div>
        
    {% if comp %}
        <h1> <div class = "comp-header"> {{ comp.Name }} 2019 </h1>
    {% else %}
        <h1> [Competition Name not found] </h1>
    {% endif %}
    
    <div class = "add-match"> <a href="{% url 'scouting:newmatchformIR' %}"> <i class="fas fa-plus"></i> Add Match</a> </div>
    
    <a href="{% url 'scouting:index' %}" class = "match-button"> <i class="fas fa-caret-left"></i> Back to Index</a> 

    <h2 class = "comp-header">Matches</h2>
    {% if m %}
        <br>
        <ul>
            <div style="overflow-x:auto;">
                <table id = "matchTable">
                    {% for m2 in m %}
                        <tr><th><a href = "{% url 'scouting:indexSingleMatchIR' comp.id m2.MatchNum %}">Match {{ m2.MatchNum }}</a></th></tr>
                    {% endfor %}
                </table>
            </div>
        </ul>
        <br>
        
    {% else %}
        <p class = "no-data"> No data is available, or there has been an error. Contact programming if this message appears after data has been entered.</p>
    {% endif %}

{% endblock %}